<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreSubtask extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'deadline'=>['required'],
            'assigned_id'=>['required'],
            'description'=>['required']
        ];
    }

    public  function messages()
    {
        return [
            'assigned_id.required'=>'Seleccione un usuario.',
            'deadline.required'=>'Seleccione una fecha.',
            'description.required'=>'El campo descripción es requerido'
        ];

    }

}
